package com.engine.salary.service;

import com.engine.salary.entity.taxrate.TaxRateBase;

import java.util.List;
import java.util.Map;

public interface TaxRateBaseService {
    /**
     * 分页列表
     */
    Map<String, Object> listPage(Map<String, Object> params);

    Map<String, Object> delete(Map<String, Object> params);

    Map<String, Object> save(Map<String, Object> params);

    Map<String, Object> update(Map<String, Object> params);

    Map<String, Object> getForm(Map<String, Object> params);

    /**
     * 获取所有的个税税率表
     *
     * @return
     */
    List<TaxRateBase> list();
}
